[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TSimpleIPCClient.Destroy

Remove the TSimpleIPCClient instance from memory

## Declaration

Source position: simpleipc.pp line 263

`public destructor TSimpleIPCClient.Destroy; override;`

## Description

Destroy disconnects the client from the server if need be, and cleans up the internal data structures maintained by TSimpleIPCClient and then calls the inherited Destroy, which will remove the instance from memory.

Never call Destroy directly, use the Free method instead or the FreeAndNil procedure in SysUtils.

## See also

Create |  | Create a new instance of TSimpleIPCClient